#!/bin/bash

regress () {
  if [ -f "`which banner`" ] ; then
      banner $1
  elif [ -f ./banner ] ; then
      ./banner $1
  fi  
  imps regression-run/$1.imp > regression-run-imptoc/$1.c 2> regression-run-imptoc/$1.log
}
mkdir -p regression-run-imptoc 2> /dev/null
regress ack
regress clover
regress systest   # will always be different results!
regress ICOMP     # C needs -Wno-tautological-compare
regress dscond
regress semicomment
regress outtest
regress mone
regress fracpt
regress test0004-intarith
regress jdmlibtest
regress concattest
